org.apache.lucene.queryparser.xml

## Class FilterBuilderFactory

- java.lang.Object
- - org.apache.lucene.queryparser.xml.FilterBuilderFactory

- All Implemented Interfaces:
    FilterBuilder

      public class FilterBuilderFactory
      extends Object
      implements FilterBuilder

  Factory for `FilterBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterBuilderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBuilder(String nodeName, FilterBuilder builder)`
    `Filter` | `getFilter(Element n)`
    `FilterBuilder` | `getFilterBuilder(String nodeName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterBuilderFactory

          public FilterBuilderFactory()

  - ### Method Detail

    - #### getFilter

          public Filter getFilter(Element n)
                           throws ParserException

      Specified by:
        `getFilter` in interface `FilterBuilder`
      Throws:
        `ParserException`

    - #### addBuilder

          public void addBuilder(String nodeName,
                        FilterBuilder builder)

    - #### getFilterBuilder

          public FilterBuilder getFilterBuilder(String nodeName)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.